package pátý;

// Základní použití rozhraní

import java.util.ArrayList;

class Bod implements Kontrola
{
    private int x;
    private int y;

    public Bod(int x, int y) 
    {
        this.x = x;
        this.y = y;
    }
    
    @Override
    public boolean zkontroluj() 
    {
        return (x >= 0) && (y >= 0);
    }
}

class Kontejner implements Kontrola
{
    private ArrayList<Integer> obsah;
    public Kontejner()
    {
        obsah = new ArrayList<>();
    }
    
    void přidej(int i)
    {
        obsah.add(i);
    }

    @Override
    public boolean zkontroluj() 
    {
        int součet = 0;
        for(int i: obsah)
        {
            součet += i;
        }
        return součet == 0;
    }
}

public class Program 
{
    static void proveďKontrolu(Kontrola data)
    {
        if(data.zkontroluj())
        {
            System.out.println("Vyhovuje");
        }
        else
        {
            System.out.println("Nevyhovuje");
        }
    }
    public static void main(String[] args) 
    {
        System.out.println(Kontrola.ODPOVĚĎ);
        System.out.println(Bod.ODPOVĚĎ);
        Bod bod = new Bod(8, 5);
        Kontejner kontejner = new Kontejner();
        for(int i = -3; i <= 3; i++)
        {
            kontejner.přidej(i);
        }
        proveďKontrolu(bod);
        proveďKontrolu(kontejner);
    }
    
}
